Retrieve a List of Page Group User Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_group_id number Required

    id of the page group

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each page assignment

  • exclude string

    will exclude specified fields

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • user_id number Required
    • is_group boolean
    • can_collect boolean
    • can_view boolean
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/page_groups/{page_group_id}/assignments' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "user_id": 161236
  },
  {
    "user_id": 161239
  },
  {
    "user_id": 161242
  }
]